import QtQuick 2.6

Rectangle {
    property point center: Qt.point(0, 0)
    property vector2d velocity: Qt.vector2d(0, 0)
    property vector2d acceleration: Qt.vector2d(0, 0)
    property real updateFrequency: 1000

    x: center.x - radius
    y: center.y - radius
    width: 2* radius
    height: 2* radius

    onXChanged: if (x < 0 || x > parent.width - width) velocity.x = -velocity.x;
    onYChanged: if (y < 0 || y > parent.height - height) velocity.y = -velocity.y;

    Timer {
        interval: 1000 / updateFrequency
        repeat: true
        running: true
        onTriggered: {
            center.x += velocity.x / updateFrequency;
            center.y += velocity.y / updateFrequency;
            velocity.x += acceleration.x / updateFrequency;
            velocity.y += acceleration.y / updateFrequency;
        }
    }
    MouseArea {
        property vector2d pressedMousePosition
        anchors.fill: parent
        onPressed: pressedMousePosition = Qt.vector2d(mouseX, mouseY)
        onReleased: {
            velocity.x += 10 * (mouseX - pressedMousePosition.x)
            velocity.y += 10 * (mouseY - pressedMousePosition.y)
        }
    }
}
