import QtQuick 2.6
import QtQuick.Controls 2.2

Item {
    property alias label: label.text
    property var value
    property bool valid: value
    property alias notValidText: textField.placeholderText

    height: childrenRect.height

    Column {
        width: parent.width
        padding: Qt.application.font.pixelSize / 2
        spacing: padding

        Label {
            id: label
            visible: valid
            width: parent.width - 2 * parent.padding
        }
        TextField {
            id: textField
            text: valid ? "%1".arg(value) : ""
            readOnly: true
            width: parent.width - 2 * parent.padding
        }
    }
}
