import QtQuick 2.6
import QtQuick.Controls 2.2
import QtSensors 5.2

Page {
    property alias sensorIdentifier: ambientLightSensor.identifier

    title: qsTr("Ambient Light Sensor")

    AmbientLightSensor {
        id: ambientLightSensor
        active: true
    }
    Column {
        width: parent.width
        anchors.centerIn: parent
        spacing: Qt.application.font.pixelSize

        Repeater {
            model: [
                { name: qsTr("Sunny"), lightLevel: AmbientLightReading.Sunny },
                { name: qsTr("Bright"), lightLevel: AmbientLightReading.Bright },
                { name: qsTr("Light"), lightLevel: AmbientLightReading.Light },
                { name: qsTr("Twilight"), lightLevel: AmbientLightReading.Twilight },
                { name: qsTr("Dark"), lightLevel: AmbientLightReading.Dark }
            ]
            delegate: Rectangle {
                color: ambientLightSensor.reading &&
                    modelData.lightLevel <= ambientLightSensor.reading.lightLevel ?
                    applicationWindow.palette.button : "transparent"
                width: parent.width - Qt.application.font.pixelSize
                anchors.horizontalCenter: parent.horizontalCenter
                height: Qt.application.font.pixelSize * 4

                Label {
                    anchors.centerIn: parent
                    text: modelData.name
                }
            }
        }
    }
}
