import QtQuick 2.6
import QtQuick.Controls 2.2
import QtSensors 5.2
import "../assets"

Page {
    property alias sensorIdentifier: orientationSensor.identifier

    title: qsTr("Orientation Sensor")

    OrientationSensor {
        id: orientationSensor
        active: true
    }
    Ball {
        center: Qt.point(parent.width / 2, parent.height / 2)
        color: applicationWindow.palette.highlight
        radius:  Math.min(parent.width, parent.height) / 8
        acceleration: {
            if (orientationSensor.reading) {
                switch (orientationSensor.reading.orientation) {
                case OrientationReading.TopUp:
                    return Qt.vector2d(0, 5000);
                case OrientationReading.TopDown:
                    return Qt.vector2d(0, -5000);
                case OrientationReading.RightUp:
                    return Qt.vector2d(-5000, 0);
                case OrientationReading.LeftUp:
                    return Qt.vector2d(5000, 0);
                default:
                    return Qt.vector2d(0, 0);
                }
            } else {
                return Qt.vector2d(0, 0);
            }
        }
    }
}
