import QtQuick 2.6
import QtQuick.Controls 2.2
import QtSensors 5.2

Page {
    title: qsTr("Sensors")

    ListView {
        id: sensorsListView
        anchors.fill: parent
        model:  ListModel { }
        section {
            delegate: Label {
                text: section
                font.pixelSize: Qt.application.font.pixelSize * 1.2
                width: parent.width
                height: font.pixelSize * 2.4
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
            }
            property: "type"
        }
        delegate: Button {
            text: model.sensorIdentifier
            font.bold: model.isDefault
            width: parent.width - Qt.application.font.pixelSize
            anchors.horizontalCenter: parent.horizontalCenter
            onClicked: pageStack.push(Qt.resolvedUrl('./%1Page.qml'.arg(model.type)),
                                      { sensorIdentifier: model.sensorIdentifier });
        }
        Component.onCompleted: {
            QmlSensors.sensorTypes().forEach(function (sensorType) {
                console.log(sensorType);
                var defaultSensor = QmlSensors.defaultSensorForType(sensorType);
                QmlSensors.sensorsForType(sensorType).forEach(function (sensor) {
                    model.append({
                        sensorIdentifier: sensor,
                        type: sensorType,
                        isDefault: sensor === defaultSensor
                    })
                });
            });
        }
    }
    Label {
        text: qsTr("No sensors")
        anchors.centerIn: parent
        font.pixelSize: Qt.application.font.pixelSize * 2
        visible: sensorsListView.count === 0
    }
}
